package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.MaterialUploadTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * 2021-10-21
 * @version V1.0
 */
public interface MaterialUploadTaskMapper extends BaseMapper<MaterialUploadTask> {
    List<String> getMd5List();

    void updateBySignature(@Param("signature") String signature);

    List<Long> getHostingIdList();
}
